%define upstream_name    Directory-Iterator
%define upstream_version 1.001

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 2

Summary:    No summary found
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        http://search.cpan.org/dist/%{upstream_name}
Source0:    http://www.cpan.org/modules/by-module/Directory/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(Directory::Iterator::PP)
BuildRequires: perl(ExtUtils::MakeMaker)
BuildArch:  noarch

%description
This is a simple, efficient way to get a recursive list of all files under
a specified directory.

It implements a typical iterator interface, making it simple to convert
code that processes a list of files to use this instead. The directory is
read as the list is consumed, so memory overhead is minimal.

This module simply loads the appropriate backend; either the
Directory::Iterator::PP manpage or the Directory::Iterator::XS manpage.
With the pure-perl backend, the speed is equivalent to the File::Find
manpage; the XS backend is a few times faster.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor

%make

%check
%make test

%install
%makeinstall_std

%files
%doc Changes META.json META.yml MYMETA.yml README
%{_mandir}/man3/*
%perl_vendorlib/*

%changelog
* Sat Oct 19 2013 umeabot <umeabot> 1.1.0-2.mga4
+ Revision: 527631
- Mageia 4 Mass Rebuild

* Mon Jun 10 2013 jquelin <jquelin> 1.1.0-1.mga4
+ Revision: 441545
- update to 1.001

* Sun Jan 13 2013 umeabot <umeabot> 1.0.0-2.mga3
+ Revision: 365970
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Mon Oct 08 2012 jquelin <jquelin> 1.0.0-1.mga3
+ Revision: 303480
- imported package perl-Directory-Iterator


* Mon Oct 08 2012 cpan2dist 1.000-1mga
- initial mageia release, generated with cpan2dist
